Automatic search of the object

Discussion in 'AutoCAD' started by Adesu, Sep 21, 2004.

  1. Adesu

    Adesu Guest

    Hi Alls.
    I just create of program lisp,but I've got trouble to continuous,how to
    automatic put user input (change of (entsel "\SELECT OBJECT ON THE DRAWING
    SHEET:") to (entsel ????)),data input from "limmin" and "limmax" or user
    without click anything,


    ; so is stand for searching of object in drawing sheet
    ; Design by Ade Suharna
    ; 21 September 2004
    ; Program no.73/09/2004
    (defun c:so (/)
    (setq limin (getvar "limmin")
    limax (getvar "limmax")
    ob (entget (car (entsel "\SELECT OBJECT ON THE DRAWING SHEET:")))
    cordata (assoc 10 ob)
    xdata (rtos (cadr cordata)2 3)
    ydata (rtos (caddr cordata)2 3)
    zdata (rtos (last cordata)2 3)
    dataob (cdr (assoc 0 ob))
    displayData (alert (strcat "\nTHIS OBJECT IS " "<" dataob ">"
    "\nLOCATION OBJECT ARE"
    "\nX-AXIS = " xdata
    "\nY-AXIS = " ydata
    "\nZ-AXIS = " zdata)))
    )
     
    Adesu, Sep 21, 2004
    #1
  2. Adesu

    Adesu Guest

    (setq ss (ssget "x"))
     
    Adesu, Jan 10, 2005
    #2
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.